Page({

  /**
   * 页面的初始数据
   */
  data: {
    historyList:[], //播放记录
    localStorageSize:'0', //本地缓存大小
    canIUse: wx.canIUse('button.open-type.getUserInfo')
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    var that = this;
    // // 查看是否授权
    // wx.getSetting({
    //   success(res) {
    //     if (res.authSetting['scope.userInfo']) {
    //       // 已经授权，可以直接调用 getUserInfo 获取头像昵称
    //       wx.getUserInfo({
    //         success: function (res) {
    //           console.log(res.userInfo)
    //         }
    //       })
    //     }
    //   }
    // });
    //查看历史播放记录
    this.onShowStorage();
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    this.onShowStorage();
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },
  /**
   * 清空缓存
   */
  onClearStorage:function() {
    var that = this;
    wx.clearStorageSync();
    wx.showToast({
      title: '已清除本地缓存',
    });
    //缓存大小
    that.setData({
      localStorageSize:0
    });
    //清空数据
    this.onShowStorage();
  },
  /**
   * 获取缓存
   */
  onShowStorage:function() {
    var that = this;
    var storageArray = wx.getStorageSync("playList");

    if (storageArray) {
      var historyList = openBenkyoData.getHistoryData(storageArray);
      for (var i = 0; i < historyList.length;i++) {
        var history = historyList[i];
        var tmpData = playData.getPlayDataByProdId(history.prodId);
        history["prodId"] = tmpData["prodId"]
        history["title"] = tmpData["title"]
        history["authorDes"] = tmpData["authorDes"]
        history["imageUrl"] = tmpData["imageUrl"]
      }
      //缓存大小
      that.setData({
        localStorageSize: historyList.length
      });
      that.setData({
        historyList: historyList
      });
    }
  },
  bindGetUserInfo : function(e) {
    console.log(e.detail.userInfo)
  },
  /**
   * 获取用户信息
   */
  getUserInfo:function() {//同意授权，获取用户信息，encryptedData是加密字符串，里面包含unionid和openid信息
    wx.getUserInfo({
      withCredentials: true,//此处设为true，才会返回encryptedData等敏感信息
      success: res => {
        // 可以将 res 发送给后台解码出 unionId
        app.globalData.userInfo = res.userInfo;
        app.globalData.encryptedData = res.encryptedData;
        app.globalData.iv = res.iv;
        this.saveUserInfo();
        console.log(res)
      }
    })
  },
  getAuthorize: function() {//弹出授权窗函数
    if (this.data.acceptAuthorize) {//判断是否已经授权过
      // 获取用户信息
      wx.getSetting({
        success: res => {
          if (res.authSetting['scope.userInfo']) {
            // 已经授权，可以直接调用 getUserInfo 获取头像昵称，不会弹框
            this.getUserInfo();
            this.setData({
              isShowAhturoizeWarning: false
            })
          } else {
            this.setData({
              isShowAhturoizeWarning: true
            })
          }
        }
      })
    } else {//如果已经授权过直接登录
      this.saveUserInfo()
    }
    },
    cancelAuthroize: function(){
      this.setData({
        isShowAhturoizeWarning: false,
        acceptAuthorize: false
      });
      app.globalData.unionid = null;
      this.saveUserInfo();

    }
})
function saveUserInfo() {

}